package cn.com.qmth.examcloud.task.api;

import cn.com.qmth.examcloud.commons.web.cloud.api.CloudService;
import cn.com.qmth.examcloud.task.api.request.SyncCourseReq;
import cn.com.qmth.examcloud.task.api.request.SyncOrgReq;
import cn.com.qmth.examcloud.task.api.response.SyncCourseResp;
import cn.com.qmth.examcloud.task.api.response.SyncOrgResp;

/**
 * 数据同步接口
 *
 * @author WANGWEI
 * @date 2018年8月2日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public interface DataSyncCloudService extends CloudService {

	/**
	 * 同步课程
	 *
	 * @author WANGWEI
	 * @param req
	 * @return
	 */
	SyncCourseResp syncCourse(SyncCourseReq req);

	/**
	 * 同步机构
	 *
	 * @author WANGWEI
	 * @param req
	 * @return
	 */
	SyncOrgResp syncOrg(SyncOrgReq req);

}
